<template>
  <div class="about-container">
    <div class="about-title">ABOUT</div>
    <div class="about-desc">
      <strong>DESCRIPTION</strong>
      <p>This application purpose is to create an interactive interface and experience for Board Games users. 
        Where the user can consult specifications about the monsters, and then choose which one fits in his session, or it can see which monster he identifies with.
      <br>
        The user can flip the card to preview the monster specifications, or click on it and open a more detailed description. 
        If the user is not sure which monster is the best it can randomly open a more detailed description.
      <br>
        It's also possible to sort by name, or filter by monster type.
      <br>
        <i>Choose wisely who is On - Board and enjoy your game!</i>
      </p>
    </div>
    <div class="about-sources">
      <div class="sources-title"><strong>SOURCES</strong></div>
      <ul>
        <li><strong>API</strong>
          <i class="fas fa-sign-in-alt"></i>
          <a href="http://www.dnd5eapi.co/">DnD 5e - API</a>
        </li>
        <li><strong>BACKGROUND IMAGES</strong>
          <i class="fas fa-sign-in-alt"></i>
          <a href="https://www.transparenttextures.com/">Transparent Textures</a>
        </li>
        <li><strong>ICONS</strong>
          <i class="fas fa-sign-in-alt"></i>
          <a href="https://fontawesome.com/">Font Awesome</a>
        </li>
        <li><strong>IMAGES</strong>
          <i class="fas fa-sign-in-alt"></i>
          <a href="https://thealpinedm.com/dnd-5e-monster-types/">The Alpine DM</a>
        </li>
      </ul>
    </div>
  </div>
</template>

<style scoped>
.about-container {
  margin-left: 1.5em;
  margin-right: 1.5em;
}

.about-title {
  position: relative;
  padding: 0.5em;
  margin: 0.5em;
  margin-top: 1em;
  margin-bottom: 0.5em;
  height: 2em;
  font-size: 2.5em;
  font-weight: bold;
  letter-spacing: 0.75em;
  user-select: none;
}

.about-desc {
  padding: 1em;
  margin-top: 3em;
  margin-bottom: 3em;
  background-color: #7a0000bb;
  background-image: url("https://www.transparenttextures.com/patterns/diagmonds-light.png");
  border-radius: 0.5em;
  color: #7a0000;
  font-size: 1.25em;
  letter-spacing: 0.05em;
}

p i {
  display: inline-flex;
  margin: 1.5em;
}

.about-sources {
  padding: 1em;
  background-color: #7a0000bb;
  background-image: url("https://www.transparenttextures.com/patterns/diagmonds-light.png");
  border-radius: 0.5em;
  color: #7a0000;
}

.sources-title {
  margin-bottom: 1.5em;
}

ul {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: flex-start;
  padding: 0;
  margin: 0;
  width: 100%;
  list-style-type: none;
}

li {
  margin: 0.5em;
  border-left: solid 0.2em #ffffff;
}

li strong {
  margin-left: 3em;
  margin-right: 1em;
}

a {
  margin-left: 1em;
  margin-right: 3em;
  text-decoration: none;
  color: #7a0000;
}

a:hover {
  color: #ffffff;
}

/* DYNAMIC STYLE AREA */

@media only screen and (max-width: 1024px) {
  .about-title {
    padding: 0.25em;
    margin: 0.25em;
    margin-top: 0.5em;
    margin-bottom: 0.25em;
    height: 1em;
  }

  .about-desc, .about-sources {
    font-size: 2em;
  }

  ul {
    display: flex;
    flex-direction: column;
    font-size: 0.75em;
  }

  li strong {
    margin-right: 0.75em;
  }
}
</style>